Collector Trumpin:
The rules are simple:
I will toss a coin in the air and you guess and call out which side you think it will land on, heads or tails.
Let's try it. If you win the first round, you can either receive 10 Nebulite Orbs or play a second round. If you win in the second round, you can either receive 30 Nebulite Orbs or play a third round. As you keep winning rounds, the stakes will become progressively larger.
Oh, there's one last thing I need to explain... If you lose you must give me 10 Nebulite Orbs. It's only fair, don't you think?
Return